zkdash的安装和配置

注意git上的描述:python 的要求是2.7,下载安装 的pip --version 至少也是2.7版本
 
我安装的时候遇到了pip 版本不正确为2.6,导致错误。 
 
1、检查有没有pip 命令
 
2、安装 pip 命令:
3、安装 setuptools: 搜到的资料:
shell# wget  http://pypi.python.org/packages/source/s/setuptools/setuptools-0.6c11.tar.gz
 
4、[ [email protected] setuptools-0.6c11]# python setup.py  build
 
5、[ [email protected] setuptools-0.6c11]# python setup.py  install
 
6、重新回去安装pip:
 
7、执行pip 命令,出现错误解决:
 
8、搜索百度经验:
[ [email protected] pip-1.5.5]# yum install openssl -y
 
9、重新编译安装了python2.7
 
10、用重新编译安装的 python 安装pip
 
 
11、看pip 安装的版本是不是2.7
 
 
12、安装pip install -r  requerment的时候出现错误:
 
13、安装这个包:
 
14、修改配置文件:zkdash/conf/conf/yml
 
 
15、创建数据库:
 
 
 
16、启动服务
 
这样在浏览器就可以访问了:
IP地址填写的是:部署zkdash 服务的机器
 
 
备注:菜鸟阶段,刚开始不知道界面是怎么出来的,还以为要另外搭建一个web服务器才可以有界面。经同事提醒才知道 这个本来就是一个服务,对于菜鸟来说,还真的不知道界面是怎么来的。
相关文章
相关标签/搜索